2019-12-10 03:13 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002037FSSCPBuild systempublic2015-08-30 17:10
Reporterchief1983 
Assigned Tom_m 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.3 
Summary0002037: GCC 4.2 warning cleanup
DescriptionThere are a _ton_ of deprecated char* conversion warnings when compiled with new GCC versions (4.2+), on Linux and Xcode 3.2. Large chunks can be eliminated with good fixes fortunately, but there are definitely a _lot_ of them.
Additional InformationPlease track progress on this cleanup here. If anyone wants to manage this ticket please assign it yourself.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016133

niffiwan (developer)

Last edited: 2014-07-31 05:53

View 5 revisions

Remaining warnings from GCC 4.4.7

(all warnings below have been removed)
==========================================================

controlconfig/controlsconfigcommon.cpp:195: warning: missing initializer for member ‘config_item::type’
(plus friends)

globalincs/alphacolors.cpp: In function ‘void parse_everything_else(const char*)’:
globalincs/alphacolors.cpp:379: warning: declaration of ‘i’ shadows a previous local
globalincs/alphacolors.cpp:357: warning: shadowed declaration is here
globalincs/alphacolors.cpp:391: warning: declaration of ‘i’ shadows a previous local
globalincs/alphacolors.cpp:357: warning: shadowed declaration is here

graphics/gropengldraw.cpp: In function ‘void opengl_scene_texture_shutdown()’:
graphics/gropengldraw.cpp:2539: warning: the address of ‘Distortion_texture’ will always evaluate as ‘true’

hud/hud.cpp: In member function ‘void HudGauge::initRenderStatus(bool)’:
hud/hud.cpp:589: warning: declaration of ‘render’ shadows a member of 'this'

hud/hudtarget.cpp: In constructor ‘HudGaugeWeaponList::HudGaugeWeaponList(int)’:
hud/hudtarget.cpp:6706: warning: declaration of ‘gauge_object’ shadows a member of 'this'

io/keycontrol.cpp: In function ‘void ppsk_hotkeys(int)’:
io/keycontrol.cpp:1304: warning: suggest parentheses around ‘+’ in operand of ‘&’

~0016766

niffiwan (developer)

m!m has removed all the warnings from the current versions of gcc 4.8/4.9, so closing this one (at last :))
+Notes

-Issue History
Date Modified Username Field Change
2009-11-10 12:18 chief1983 New Issue
2009-11-10 12:18 chief1983 Status new => assigned
2009-11-10 12:18 chief1983 Assigned To => chief1983
2012-12-26 04:00 niffiwan Assigned To chief1983 => niffiwan
2014-07-25 03:02 niffiwan Note Added: 0016133
2014-07-27 05:49 niffiwan Note Edited: 0016133 View Revisions
2014-07-27 05:49 niffiwan Note Edited: 0016133 View Revisions
2014-07-27 05:50 niffiwan Note Edited: 0016133 View Revisions
2014-07-31 05:53 niffiwan Note Edited: 0016133 View Revisions
2015-08-30 17:09 niffiwan Assigned To niffiwan => m_m
2015-08-30 17:10 niffiwan Note Added: 0016766
2015-08-30 17:10 niffiwan Status assigned => resolved
2015-08-30 17:10 niffiwan Fixed in Version => 3.7.3
2015-08-30 17:10 niffiwan Resolution open => fixed
+Issue History